import { Component } from "@angular/core";
import { Router } from "@angular/router";
import { UserLoginService } from "../../services/user-login.service";
var ForgotPasswordStep1Component = (function () {
    function ForgotPasswordStep1Component(router, userService) {
        this.router = router;
        this.userService = userService;
        this.errorMessage = null;
    }
    ForgotPasswordStep1Component.prototype.onNext = function () {
        this.errorMessage = null;
        this.userService.forgotPassword(this.email, this);
    };
    ForgotPasswordStep1Component.prototype.cognitoCallback = function (message, result) {
        if (message == null && result == null) {
            //error
            this.router.navigate(['/home/forgotPassword', this.email]);
        }
        else {
            //success
            this.errorMessage = message;
        }
    };
    ForgotPasswordStep1Component.decorators = [
        { type: Component, args: [{
                    selector: 'awscognito-angular2-app',
                    templateUrl: './forgot-password-step1.component.html',
                    styleUrls: ['./forgot-password-step1.component.css']
                },] },
    ];
    /** @nocollapse */
    ForgotPasswordStep1Component.ctorParameters = function () { return [
        { type: Router, },
        { type: UserLoginService, },
    ]; };
    return ForgotPasswordStep1Component;
}());
export { ForgotPasswordStep1Component };
//# sourceMappingURL=forgot-password-step1.component.js.map