import { Component } from "@angular/core";
import { Router } from "@angular/router";
import { UserLoginService } from "../../services/user-login.service";
var LogoutComponent = (function () {
    function LogoutComponent(router, userService) {
        this.router = router;
        this.userService = userService;
        this.userService.isAuthenticated(this);
    }
    LogoutComponent.prototype.isLoggedIn = function (message, isLoggedIn) {
        if (isLoggedIn) {
            this.userService.logout();
            this.router.navigate(['/home']);
        }
        this.router.navigate(['/home']);
    };
    LogoutComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-logout',
                    template: '',
                },] },
    ];
    /** @nocollapse */
    LogoutComponent.ctorParameters = function () { return [
        { type: Router, },
        { type: UserLoginService, },
    ]; };
    return LogoutComponent;
}());
export { LogoutComponent };
//# sourceMappingURL=logout.component.js.map