import { Router } from "@angular/router";
import { UserRegistrationService } from "../../services/user-registration.service";
import { UserLoginService } from "../../services/user-login.service";
import { CognitoCallback } from "../../services/cognito.service";
import { NewPasswordUser } from "../../model/NewPasswordUser";
export declare class NewPasswordComponent implements CognitoCallback {
    userRegistration: UserRegistrationService;
    userService: UserLoginService;
    registrationUser: NewPasswordUser;
    router: Router;
    errorMessage: string;
    constructor(userRegistration: UserRegistrationService, userService: UserLoginService, router: Router);
    onInit(): void;
    ngOnInit(): void;
    onRegister(): void;
    cognitoCallback(message: string, result: any): void;
    isLoggedIn(message: string, isLoggedIn: boolean): void;
}
