import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from "@angular/router";
import { UserRegistrationService } from "../../services/user-registration.service";
export declare class RegistrationConfirmationComponent implements OnInit, OnDestroy {
    regService: UserRegistrationService;
    router: Router;
    route: ActivatedRoute;
    confirmationCode: string;
    email: string;
    errorMessage: string;
    private sub;
    constructor(regService: UserRegistrationService, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onConfirmRegistration(): void;
    cognitoCallback(message: string, result: any): void;
}
