import { CognitoCallback, CognitoUtil } from "./cognito.service";
import { RegistrationUser } from "../model/RegistrationUser";
import { NewPasswordUser } from "../model/NewPasswordUser";
export declare class UserRegistrationService {
    cognitoUtil: CognitoUtil;
    constructor(cognitoUtil: CognitoUtil);
    register(user: RegistrationUser, callback: CognitoCallback): void;
    confirmRegistration(username: string, confirmationCode: string, callback: CognitoCallback): void;
    resendCode(username: string, callback: CognitoCallback): void;
    newPassword(newPasswordUser: NewPasswordUser, callback: CognitoCallback): void;
}
