import { OnDestroy, OnInit } from "@angular/core";
import { ActivatedRoute, Router } from "@angular/router";
import { UserLoginService } from "../../services/user-login.service";
import { CognitoCallback } from "../../services/cognito.service";
export declare class ForgotPasswordStep2Component implements CognitoCallback, OnInit, OnDestroy {
    router: Router;
    route: ActivatedRoute;
    userService: UserLoginService;
    verificationCode: string;
    email: string;
    password: string;
    errorMessage: string;
    private sub;
    constructor(router: Router, route: ActivatedRoute, userService: UserLoginService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onNext(): void;
    cognitoCallback(message: string): void;
}
