import { Router } from "@angular/router";
import { UserRegistrationService } from "../../services/user-registration.service";
import { CognitoCallback } from "../../services/cognito.service";
import { RegistrationUser } from "../../model/RegistrationUser";
export declare class RegisterComponent implements CognitoCallback {
    userRegistration: UserRegistrationService;
    registrationUser: RegistrationUser;
    router: Router;
    errorMessage: string;
    constructor(userRegistration: UserRegistrationService, router: Router);
    onInit(): void;
    onRegister(): void;
    cognitoCallback(message: string, result: any): void;
}
