import { Component } from "@angular/core";
import { UserRegistrationService } from "../../services/user-registration.service";
import { Router } from "@angular/router";
var ResendCodeComponent = (function () {
    function ResendCodeComponent(registrationService, router) {
        this.registrationService = registrationService;
        this.router = router;
    }
    ResendCodeComponent.prototype.resendCode = function () {
        this.registrationService.resendCode(this.email, this);
    };
    ResendCodeComponent.prototype.cognitoCallback = function (error, result) {
        if (error != null) {
            this.errorMessage = "Ha ocurrido un problema...por favor intente mas tarde.";
        }
        else {
            this.router.navigate(['/home/confirmRegistration', this.email]);
        }
    };
    ResendCodeComponent.decorators = [
        { type: Component, args: [{
                    selector: 'awscognito-angular2-app',
                    templateUrl: './resend-code.component.html',
                    styleUrls: ['./resend-code.component.css']
                },] },
    ];
    /** @nocollapse */
    ResendCodeComponent.ctorParameters = function () { return [
        { type: UserRegistrationService, },
        { type: Router, },
    ]; };
    return ResendCodeComponent;
}());
export { ResendCodeComponent };
//# sourceMappingURL=resend-code.component.js.map