import { CognitoCallback, CognitoUtil, LoggedInCallback } from "./cognito.service";
export declare class UserLoginService {
    cognitoUtil: CognitoUtil;
    private onLoginSuccess;
    private onLoginError;
    constructor(cognitoUtil: CognitoUtil);
    authenticate(username: string, password: string, callback: CognitoCallback): void;
    forgotPassword(username: string, callback: CognitoCallback): void;
    confirmNewPassword(email: string, verificationCode: string, password: string, callback: CognitoCallback): void;
    logout(): void;
    isAuthenticated(callback: LoggedInCallback): void;
}
