import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from "@angular/forms";
import { RouterModule } from '@angular/router';
import { ForgotPasswordStep1Component } from './secure/forgot-password-step1/forgot-password-step1.component';
import { ForgotPasswordStep2Component } from './secure/forgot-password-step2/forgot-password-step2.component';
import { LoginComponent } from './secure/login/login.component';
import { LogoutComponent } from './secure/logout/logout.component';
import { MfaComponent } from './secure/mfa/mfa.component';
import { NewPasswordComponent } from './secure/new-password/new-password.component';
import { RegisterComponent } from './secure/register/register.component';
import { RegistrationConfirmationComponent } from './secure/registration-confirmation/registration-confirmation.component';
import { ResendCodeComponent } from './secure/resend-code/resend-code.component';
import { WngAuthRoutingModule } from './wngauthrouting.module';
var WngauthModule = (function () {
    function WngauthModule() {
    }
    WngauthModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        WngAuthRoutingModule
                    ],
                    declarations: [
                        ForgotPasswordStep1Component,
                        ForgotPasswordStep2Component,
                        LoginComponent,
                        LogoutComponent,
                        MfaComponent,
                        NewPasswordComponent,
                        RegisterComponent,
                        RegistrationConfirmationComponent,
                        ResendCodeComponent
                    ],
                    exports: [
                        ForgotPasswordStep1Component,
                        ForgotPasswordStep2Component,
                        LoginComponent,
                        LogoutComponent,
                        MfaComponent,
                        NewPasswordComponent,
                        RegisterComponent,
                        RegistrationConfirmationComponent,
                        ResendCodeComponent,
                        RouterModule
                    ]
                },] },
    ];
    /** @nocollapse */
    WngauthModule.ctorParameters = function () { return []; };
    return WngauthModule;
}());
export { WngauthModule };
//# sourceMappingURL=wngauth.module.js.map