import { NgModule } from '@angular/core';
import { RouterModule } from "@angular/router";
import { LoginComponent } from "./secure/login/login.component";
import { RegisterComponent } from "./secure/register/register.component";
import { ForgotPasswordStep1Component } from "./secure/forgot-password-step1/forgot-password-step1.component";
import { ForgotPasswordStep2Component } from "./secure/forgot-password-step2/forgot-password-step2.component";
import { LogoutComponent } from "./secure/logout/logout.component";
import { RegistrationConfirmationComponent } from "./secure/registration-confirmation/registration-confirmation.component";
import { ResendCodeComponent } from "./secure/resend-code/resend-code.component";
import { NewPasswordComponent } from "./secure/new-password/new-password.component";
// const authRoutes: Routes = [
//   {
//     path: 'auth', component: LoginComponent, children: [
//       {path: 'login', component: LoginComponent},
//       {path: 'logout', component: LogoutComponent},
//       {path: 'register', pathMatch: 'full', component: RegisterComponent},
//       {path: 'confirmRegistration/:username', component: RegistrationConfirmationComponent},
//       {path: 'resendCode', component: ResendCodeComponent},
//       {path: 'forgotPassword/:email', component: ForgotPasswordStep2Component},
//       {path: 'forgotPassword', component: ForgotPasswordStep1Component},
//       {path: 'newPassword', component: NewPasswordComponent}
//     ]
//   }
// ];
var authRoutes = [
    { path: 'auth', component: LoginComponent },
    { path: 'auth/login', component: LoginComponent },
    { path: 'lauth/ogout', component: LogoutComponent },
    { path: 'auth/register', component: RegisterComponent },
    { path: 'auth/confirmRegistration/:username', component: RegistrationConfirmationComponent },
    { path: 'auth/resendCode', component: ResendCodeComponent },
    { path: 'auth/forgotPassword/:email', component: ForgotPasswordStep2Component },
    { path: 'auth/forgotPassword', component: ForgotPasswordStep1Component },
    { path: 'auth/newPassword', component: NewPasswordComponent }
];
var WngAuthRoutingModule = (function () {
    function WngAuthRoutingModule() {
    }
    WngAuthRoutingModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        RouterModule.forChild(authRoutes)
                    ],
                    exports: [
                        RouterModule
                    ]
                },] },
    ];
    /** @nocollapse */
    WngAuthRoutingModule.ctorParameters = function () { return []; };
    return WngAuthRoutingModule;
}());
export { WngAuthRoutingModule };
//# sourceMappingURL=wngauthrouting.module.js.map